<?php
include_once '../settings.php';
?>
<?php $crapVarr = 'F@#&$^*FG^&F^#$&#&D$%%#$D%&$^%#&'; include_once "./../_init.php";?>
<?php
if(isset($_GET["token"]))$__TOKEN = $_GET["token"];
if ( $__TOKEN == 'ILoveAthensFiestaReallyBad' )
{
	echo '<h1>Neue User</h1>';
	$mssql_link = @mssql_connect( $servername . "\\" . $dbname , $dbuser, $dbpass );
	if ( !$mssql_link )
	{
		showMessage( 'info', 'Top Player list is temporarly offline' );
	}
	else
	{
		$selectPlayers = mssql_query( "SELECT TOP 25 nUserNo, dCreateDate , sID FROM World00_Character..tCharacter WHERE nAdminLevel = 0 AND bDeleted = 0 ORDER by dCreateDate DESC" );
		$i = 1;
		echo '<table width="100%">';
		echo '<tr><td>#</td><td>User ID</td><td>Name</td><td>Datum</td></tr>';
		while($player = mssql_fetch_array($selectPlayers))
		{
			$player["sID"] = str_replace("ä", "&auml;", str_replace("Ä", "&Auml;", str_replace("ö", "&ouml;", str_replace("Ö", "&Ouml;", str_replace("ü", "&uuml;", str_replace("Ü", "&Uuml;", str_replace("ß", "&szlig;", $player["sID"])))))));
			echo '<tr><td width="20px">'.$i.'</td><td>'.$player['nUserNo'].'</td><td>'.$player['sID'].'</td><td>'.$player['dCreateDate'].'</td></tr>';
			$i++;
		}
		echo '</table>';
	}
}
?>